summaryrefslogtreecommitdiffstats
path: root/source.local/extra/source/icedtea-web/icedtea-web.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source.local/extra/source/icedtea-web/icedtea-web.SlackBuild')
-rwxr-xr-xsource.local/extra/source/icedtea-web/icedtea-web.SlackBuild151
1 files changed, 151 insertions, 0 deletions
diff --git a/source.local/extra/source/icedtea-web/icedtea-web.SlackBuild b/source.local/extra/source/icedtea-web/icedtea-web.SlackBuild
new file mode 100755
index 0000000..d6e0014
--- /dev/null
+++ b/source.local/extra/source/icedtea-web/icedtea-web.SlackBuild
@@ -0,0 +1,151 @@
+#!/bin/sh
+
+# Copyright 2011, 2012 Eric Hameleers, Eindhoven, The Netherlands
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=icedtea-web
+VERSION=20120225
+BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:--j6}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+## So that the plugin compiles with xulrunner 8 and above:
+#if ! grep -q "^char\* *NP_GetMIMEDescription(" /usr/include/seamonkey/npfunctions.h ; then
+# cat $CWD/icedtea-web.npapi.patch | patch -p1 --verbose || exit 1
+#fi
+
+# Fix crash with Firefox >= 10 (will hopefully be fixed in icedtea-web 1.2)
+cat $CWD/icedtea-web_ff10crash.patch | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+[ ! -x configure ] && ./autogen.sh
+
+# We use seamonkey, not xulrunner:
+sed -i -e 's/mozilla-plugin/seamonkey-plugin/g' configure
+
+# IcedTea Web 1.1 and later do not install into the JDK/JRE directory but
+# straight into /usr/lib
+CFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --with-jdk-home=/usr/lib${LIBDIRSUFFIX}/java \
+ --with-jre-home=/usr/lib${LIBDIRSUFFIX}/java/jre \
+ --with-pkgversion=$(cat /etc/slackware-version |tr ' ' '-')-$ARCH \
+ --disable-docs \
+ --build=$TARGET
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Make the tools work with only the openjre installed:
+sed -i -e "s,java/jre/bin,java/bin,g" $PKG/usr/bin/javaws
+sed -i -e "s,java/jre/bin,java/bin,g" $PKG/usr/bin/itweb-settings
+
+# Provide a link to the plugin for browsers:
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
+ ln -sf /usr/lib${LIBDIRSUFFIX}/IcedTeaPlugin.so
+)
+
+# Install desktop files:
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp javaws.png $PKG/usr/share/pixmaps/
+install -m 0644 javaws.desktop $PKG/usr/share/applications/
+install -m 0644 itweb-settings.desktop $PKG/usr/share/applications/
+
+# Strip binaries where needed:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS README doc/OVERVIEW \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# Add package description and post-install script:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz
+